function PSNR = getPSNR(I_target, I)
% Calculate Peak Signal-to-Noise Ratio (PSNR) of a greyscale image
%
% Input
% -----
% I_target:   image to calculate PSNR
% I:          ground truth image
%
% Output
% ------
% PSNR:       the result PSNR (dB)

imSize = size(I);
MSE = (1/(imSize(1) * imSize(2))) * sum((I - I_target) .^ 2, 'all');
PSNR = 10*log10(max(I, [], 'all')^2 / MSE);

end

